Bug 508424 - apr update breaks subversion
apr update breaks subversion
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: apr-util (Show other bugs)
10
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
: 508568 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 21:32 EDT by Bernie Innocenti
Modified: 2013-01-09 06:27 EST (History)
7 users (show)

See Also:
Fixed In Version: 1.3.7-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:09:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2009-06-26 21:32:13 EDT
The latest apr rpm from updates breaks subversion 1.5.4 in Fedora 10.

/usr/lib/libsvn_client-1.so used to import libdb-4.7.so implicitly from libapr-1.so.  It seems the new libapr does not link it any more, causing undefined symbols in subcersion.

The subversion-1.6.2 in updates-testing solves the issue, but it's a major version bump.
Comment 1 Avi Kivity 2009-06-29 08:15:55 EDT
I see this too; it hurts.

I don't understand why major version upgrades are done through updates.
Comment 2 Bernie Innocenti 2009-06-29 08:49:49 EDT
(In reply to comment #1)
> I don't understand why major version upgrades are done through updates.  

I feel the same way: a stable maintenance release is not where our "latest and greatest" thing should be demonstrated.

Fedora gained a consolidated reputation of frequent regressions, and this makes it hard for me to advocate it with customers for production use.

</rant>
Comment 3 Joe Orton 2009-06-29 16:45:01 EDT
This was a patch release (1.3.4 -> 1.3.7) not a major version update.  It included several security fixes so didn't go through the normal test cycle.
Comment 4 Bernie Innocenti 2009-06-29 18:01:38 EDT
(In reply to comment #3)
> This was a patch release (1.3.4 -> 1.3.7) not a major version update.  It
> included several security fixes so didn't go through the normal test cycle.  

Then please accept my sincere apologies for presuming otherwise.  Out of curiosity, how did this update drop a library from the list of its dependencies?
Comment 5 Joe Orton 2009-06-30 05:56:46 EDT
Bernie: because of, ah, improvements, made upstream.
Comment 6 Fedora Update System 2009-06-30 06:16:35 EDT
apr-util-1.3.7-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/apr-util-1.3.7-3.fc10
Comment 7 Joe Orton 2009-06-30 06:18:07 EDT
Build is here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=112210

please leave feedback via the updates link above if this works for you.
Comment 8 Bojan Smojver 2009-06-30 07:40:15 EDT
> Bernie: because of, ah, improvements, made upstream.

Chuckle ;-)
Comment 9 Bernie Innocenti 2009-06-30 08:20:19 EDT
(In reply to comment #8)
> > Bernie: because of, ah, improvements, made upstream.
> 
> Chuckle ;-)  

Shame on the Apache Foundation! :-)

BTW, I can't test the proposed bugfix on my servers because I've already upgraded to Subversion 1.6.2 as a quick fix.  Now I can't go back because the sandbox format was changed yet another time and of course upgrades happen silently and irreversibly.
Comment 10 Fedora Update System 2009-07-02 01:44:11 EDT
apr-util-1.3.7-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apr-util'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7187
Comment 11 Joe Orton 2009-07-06 08:59:25 EDT
*** Bug 508568 has been marked as a duplicate of this bug. ***
Comment 12 Pete Stieber 2009-07-06 12:22:13 EDT
The testing version of apr fixed the subversion commit message using python problem for me.  Thanks.
Comment 13 Joe Orton 2009-07-13 16:20:44 EDT
Thanks to everyone who has submitted feedback on the update in testing.
Comment 14 Fedora Update System 2009-07-19 06:09:06 EDT
apr-util-1.3.7-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.